Subject: Ticked articles not working with `gnus-summary-delete-article'

From: Live System User <[email-masked]>
Date: Wed, 08 Jun 2016 08:08:06 -0400

Hi,

        I ticked some articles with "!"
        `(gnus-summary-tick-article-forward)' and then invoked
        B-<backspace> `(gnus-summary-delete-article)' but it
        only prompted and deleted one ticked article.

        I moved the cursor to the first ticked article because I
        didn't want Gnus to delete the unticked article where
        the cursor was now at and saw the ominous warning about
        the article would be gone forever if I typed "yes" after
        B-<backspace>.

        I also tried "M-:" `(eval-expression)'
        
            (gnus-summary-delete-article nil)

        which, according to the documentation:

[...]

(gnus-summary-delete-article &optional N)

[...]

If N is nil and articles have been marked with the process mark,
delete these instead.

       I believe a tick ("!") is considered a process mark.

       Please correct me if I am wrong and let me know how to
       apply a valid process mark to articles.

       Also, if the cursor is not on a process marked article, how
       does one know if the article where the cursor is at *wont*
       get deleted rather than *only* the ones with process marks
       (when an article(s) with process mark(s) exists)?

       Are there any other process marks (besides, presumable, "!")
       that the command `gnus-summary-delete-article' acts on?

       Can you tell me where are the all process marks and their
       utility documented?
       
       I think that it is important that the docstring for this
       command includes what process marks it acts on especially
       since the articles are irretrievable after invoking it.

       Thanks.

Gnus v5.13
GNU Emacs 25.0.94.1 (x86_64-redhat-linux-gnu, GTK+ Version 3.18.9)
 of 2016-05-18
200 news.gmane.org InterNetNews NNRP server INN 2.5.1 ready (posting ok)
100 Legal commands
  ARTICLE [message-ID|number]
  AUTHINFO USER name|PASS password|GENERIC program [argument ...]
  BODY [message-ID|number]
  CAPABILITIES [keyword]
  DATE
  GROUP newsgroup
  HDR header [message-ID|range]
  HEAD [message-ID|number]
  HELP
  IHAVE message-ID
  LAST
  LIST [ACTIVE [wildmat]|ACTIVE.TIMES [wildmat]|DISTRIB.PATS|DISTRIBUTIONS|HEADERS [MSGID|RANGE]|MODERATORS|MOTD|NEWSGROUPS [wildmat]|OVERVIEW.FMT|SUBSCRIPTIONS]
  LISTGROUP [newsgroup [range]]
  MODE READER
  NEWGROUPS [yy]yymmdd hhmmss [GMT]
  NEWNEWS wildmat [yy]yymmdd hhmmss [GMT]
  NEXT
  OVER [range]
  POST
  QUIT
  STARTTLS
  STAT [message-ID|number]
  XGTITLE [wildmat]
  XHDR header [message-ID|range]
  XOVER [range]
  XPAT header message-ID|range pattern [pattern ...]
Report problems to <[email-masked]>.
.
382 Begin TLS negotiation now
100 Legal commands
  ARTICLE [message-ID|number]
  AUTHINFO USER name|PASS password|GENERIC program [argument ...]
  BODY [message-ID|number]
  CAPABILITIES [keyword]
  DATE
  GROUP newsgroup
  HDR header [message-ID|range]
  HEAD [message-ID|number]
  HELP
  IHAVE message-ID
  LAST
  LIST [ACTIVE [wildmat]|ACTIVE.TIMES [wildmat]|DISTRIB.PATS|DISTRIBUTIONS|HEADERS [MSGID|RANGE]|MODERATORS|MOTD|NEWSGROUPS [wildmat]|OVERVIEW.FMT|SUBSCRIPTIONS]
  LISTGROUP [newsgroup [range]]
  MODE READER
  NEWGROUPS [yy]yymmdd hhmmss [GMT]
  NEWNEWS wildmat [yy]yymmdd hhmmss [GMT]
  NEXT
  OVER [range]
  POST
  QUIT
  STARTTLS
  STAT [message-ID|number]
  XGTITLE [wildmat]
  XHDR header [message-ID|range]
  XOVER [range]
  XPAT header message-ID|range pattern [pattern ...]
Report problems to <[email-masked]>.
.